モバイルプロキシ開発者API

残高、商品、注文、プロキシ、IP変更をREST APIで処理します。コンソールで行う作業を自分のツールやスクリプトでそのまま実行できます。

基本アドレスと認証

https://cheapmobileproxy.com/api/v1
Authorization: Bearer YOUR_API_KEY

GET/balance残高

現在使用可能な残高を米ドルで返します。

curl https://cheapmobileproxy.com/api/v1/balance \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "balance": "125.40", "currency": "USD" }

GET/products商品と価格

商品ごとに販売国、国ごとに選択可能な期間とプロキシ1個の価格、ローテーションモバイルのGB価格を返します。

curl https://cheapmobileproxy.com/api/v1/products \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "currency": "USD", "products": [ { "id": "dedicated", "unit": "proxy", "countries": [ { "country": "us", "periods": [ { "period": "1m", "days": 30, "price": "83.40" } ] } ] }, { "id": "rotating", "unit": "gb", "price_per_gb": "3.59" } ] }

POST/orders購入

残高で購入します。固定モバイルはproduct、country、period、quantity(1~100)、回転モバイルはproduct、gb(1~1000)、country(選択、デフォルトany)を送信します。

curl -X POST https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "product": "dedicated", "country": "us", "period": "1m", "quantity": 2 }'
{ "ok": true, "order": "P-7K2M-Q9XD-4HTA", "charged": "166.80", "balance": "58.60" }

GET/orders注文リスト

注文コード、商品、国、期間、数量、金額、状態、終了日を返します。

curl https://cheapmobileproxy.com/api/v1/orders \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "orders": [ { "code": "P-7K2M-Q9XD-4HTA", "product": "dedicated", "country": "us", "period": "1m", "quantity": 2, "status": "ACTIVE" } ] }

GET/proxiesプロキシ一覧

使用中のプロキシのホスト、HTTP・SOCKS5ポート、ユーザー名、パスワード、現在のIP、IP変更リンクを返します。

curl https://cheapmobileproxy.com/api/v1/proxies \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "proxies": [ { "id": "pxk3m9q2wt7a", "country": "us", "host": "198.51.100.24", "http_port": 20418, "socks5_port": 30418, "username": "cmpk3m9q2wt", "password": "...", "ip": "203.0.113.57", "ip_change_url": "https://cheapmobileproxy.com/api/rotate/..." } ] }

POST/proxies/{id}/rotateIP変更

固定モバイルプロキシのIPを新しく取得します。プロキシごとに10秒に1回までです。

curl -X POST https://cheapmobileproxy.com/api/v1/proxies/pxk3m9q2wt7a/rotate \
  -H "Authorization: Bearer YOUR_API_KEY"
{ "ok": true, "ip": "203.0.113.91", "changed_at": "2026-10-23T09:30:00.000Z" }

エラーレスポンス

HTTPcode意味
401authAPIキーがないか、正しくありません
402balance残高が不足しています(お金は引き落とされません)
400bad_country, bad_period, bad_qty, bad_gbリクエスト値が商品と一致しません(お金は引き落とされません)
429rate, too_fast1分間300回、IP変更は10秒に1回まで
503networkネットワークエラー、しばらくしてから再度送信してください(お金は引き落とされません)

APIキー作成

初回チャージが残高に反映されると、コンソールのAPI画面でAPIキーを作成します。キーはリクエストごとに一緒に送信し、必要に応じてコンソールで新しいキーに変更します。

できること

  • 残高確認
  • 商品、国、期間と価格リストを表示
  • 注文と注文状態の確認
  • プロキシ一覧と接続情報を表示
  • 固定回線IP変更(10秒に1回まで)

注文と支払い

API注文もコンソールと同じ残高から支払われます。固定回線は一度に1個から100個まで、回転モバイルプロキシはGB単位で注文します。